Bug 1908890 - GitRepos-master-to-main
Summary: GitRepos-master-to-main
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F34Changes
TreeView+ depends on / blocked
 
Reported: 2020-12-17 19:54 UTC by Ben Cotton
Modified: 2021-04-27 14:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-27 14:30:53 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Ben Cotton 2020-12-17 19:54:51 UTC
This is a tracking bug for Change: GitRepos-master-to-main
For more details, see: https://fedoraproject.org/wiki/Changes/GitRepos-master-to-main

This Change will move Fedora git repositories to use "main" as the default git branch instead of "master". Specific repositories will be manually moved and default git branch for new projects will be set to use "main". src.fedoraproject.org/rpms (packages) will have a "rawhide" branch for rawhide with a symref (link) of "main".

Comment 1 Kevin Fenzi 2021-01-14 20:56:41 UTC
Phase 0 is done, howto sent to devel-announce. 

Phase 1 is done, all the releng/infra repos are moved to main. 

Phase 2 was scheduled for the 13th, but we decided to delay it to allow for fedpkg and fedscmadm changes to be fully accepted and packages pushed to stable for maintainers for a bit to allow them time to update to those new versions. We have rescheduled this for the 27th now. (The 20th is mass rebuild and we don't want to interfere with that).

Comment 2 Ben Cotton 2021-04-27 14:30:53 UTC
Closing Changes Tracking bugs for the Fedora Linux 34 release. If your change did not make it into the release, please reopen and needinfo bcotton.


Note You need to log in before you can comment on or make changes to this bug.